<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Dokumentacja klasy QCPCurveData</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_q_c_p_curve_data.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-methods">Metody publiczne</a> &#124;
<a href="#pub-static-methods">Statyczne metody publiczne</a> &#124;
<a href="#pub-attribs">Atrybuty publiczne</a> &#124;
<a href="class_q_c_p_curve_data-members.html">Lista wszystkich składowych</a>  </div>
  <div class="headertitle"><div class="title">Dokumentacja klasy QCPCurveData</div></div>
</div><!--header-->
<div class="contents">

<p>Holds the data of one single data point for <a class="el" href="class_q_c_p_curve.html" title="A plottable representing a parametric curve in a plot.">QCPCurve</a>.  
 <a href="class_q_c_p_curve_data.html#details">Więcej...</a></p>

<p><code>#include &lt;<a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Metody publiczne</h2></td></tr>
<tr class="memitem:a48252779b5198a509d99c69ae223fbf8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_curve_data.html#a48252779b5198a509d99c69ae223fbf8">QCPCurveData</a> ()</td></tr>
<tr class="separator:a48252779b5198a509d99c69ae223fbf8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3586be0cc6f8db15bcdd0c0d03b0c173"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_curve_data.html#a3586be0cc6f8db15bcdd0c0d03b0c173">QCPCurveData</a> (double <a class="el" href="class_q_c_p_curve_data.html#aecc395525be28e9178a088793beb3ff3">t</a>, double <a class="el" href="class_q_c_p_curve_data.html#a8a4ec5f2b9a396149fd842e309701bd4">key</a>, double <a class="el" href="class_q_c_p_curve_data.html#a72b39b8e1dbf7b45382ebd48419b6828">value</a>)</td></tr>
<tr class="separator:a3586be0cc6f8db15bcdd0c0d03b0c173"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a583174f2b68e01b4d545f04571f58bd0"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_curve_data.html#a583174f2b68e01b4d545f04571f58bd0">sortKey</a> () const</td></tr>
<tr class="separator:a583174f2b68e01b4d545f04571f58bd0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac805ffc8b4207652efb9fcc6a2cdd3e8"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_curve_data.html#ac805ffc8b4207652efb9fcc6a2cdd3e8">mainKey</a> () const</td></tr>
<tr class="separator:ac805ffc8b4207652efb9fcc6a2cdd3e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39a94131e5f62f16b256bcf8c47a3205"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_curve_data.html#a39a94131e5f62f16b256bcf8c47a3205">mainValue</a> () const</td></tr>
<tr class="separator:a39a94131e5f62f16b256bcf8c47a3205"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf15deffd18d400651f8384a95dad9f8"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_c_p_range.html">QCPRange</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_curve_data.html#acf15deffd18d400651f8384a95dad9f8">valueRange</a> () const</td></tr>
<tr class="separator:acf15deffd18d400651f8384a95dad9f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-static-methods" name="pub-static-methods"></a>
Statyczne metody publiczne</h2></td></tr>
<tr class="memitem:a40adf1a6ba93051c415a65298b49aa6e"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="class_q_c_p_curve_data.html">QCPCurveData</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_curve_data.html#a40adf1a6ba93051c415a65298b49aa6e">fromSortKey</a> (double <a class="el" href="class_q_c_p_curve_data.html#a583174f2b68e01b4d545f04571f58bd0">sortKey</a>)</td></tr>
<tr class="separator:a40adf1a6ba93051c415a65298b49aa6e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1b78f228e31ca40a1e69add44537918c"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_curve_data.html#a1b78f228e31ca40a1e69add44537918c">sortKeyIsMainKey</a> ()</td></tr>
<tr class="separator:a1b78f228e31ca40a1e69add44537918c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Atrybuty publiczne</h2></td></tr>
<tr class="memitem:aecc395525be28e9178a088793beb3ff3"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_curve_data.html#aecc395525be28e9178a088793beb3ff3">t</a></td></tr>
<tr class="separator:aecc395525be28e9178a088793beb3ff3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a4ec5f2b9a396149fd842e309701bd4"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_curve_data.html#a8a4ec5f2b9a396149fd842e309701bd4">key</a></td></tr>
<tr class="separator:a8a4ec5f2b9a396149fd842e309701bd4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a72b39b8e1dbf7b45382ebd48419b6828"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_curve_data.html#a72b39b8e1dbf7b45382ebd48419b6828">value</a></td></tr>
<tr class="separator:a72b39b8e1dbf7b45382ebd48419b6828"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Opis szczegółowy</h2>
<div class="textblock"><p>The stored data is: </p><ul>
<li><em>t:</em> the free ordering parameter of this curve point, like in the mathematical vector <em>(x(t), y(t))</em>. (This is the <em>sortKey</em>) </li>
<li><em>key:</em> coordinate on the key axis of this curve point (this is the <em>mainKey</em>) </li>
<li><em>value:</em> coordinate on the value axis of this curve point (this is the <em>mainValue</em>)</li>
</ul>
<p>The container for storing multiple data points is <a class="el" href="qcustomplot_8hpp.html#aaeee80d5664ea91beb9d7968790d0e65">QCPCurveDataContainer</a>. It is a typedef for <a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a> with <a class="el" href="class_q_c_p_curve_data.html">QCPCurveData</a> as the DataType template parameter. See the documentation there for an explanation regarding the data type's generic methods.</p>
<dl class="section see"><dt>Zobacz również</dt><dd><a class="el" href="qcustomplot_8hpp.html#aaeee80d5664ea91beb9d7968790d0e65">QCPCurveDataContainer</a> </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l05602">5602</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>
</div><h2 class="groupheader">Dokumentacja konstruktora i destruktora</h2>
<a id="a48252779b5198a509d99c69ae223fbf8" name="a48252779b5198a509d99c69ae223fbf8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a48252779b5198a509d99c69ae223fbf8">&#9670;&#160;</a></span>QCPCurveData() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QCPCurveData::QCPCurveData </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Constructs a curve data point with t, key and value set to zero. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l22574">22574</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>

</div>
</div>
<a id="a3586be0cc6f8db15bcdd0c0d03b0c173" name="a3586be0cc6f8db15bcdd0c0d03b0c173"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3586be0cc6f8db15bcdd0c0d03b0c173">&#9670;&#160;</a></span>QCPCurveData() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QCPCurveData::QCPCurveData </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>t</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>key</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Constructs a curve data point with the specified <em>t</em>, <em>key</em> and <em>value</em>. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l22584">22584</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Dokumentacja funkcji składowych</h2>
<a id="a583174f2b68e01b4d545f04571f58bd0" name="a583174f2b68e01b4d545f04571f58bd0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a583174f2b68e01b4d545f04571f58bd0">&#9670;&#160;</a></span>sortKey()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double QCPCurveData::sortKey </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Returns the <em>t</em> member of this data point.</p>
<p>For a general explanation of what this method is good for in the context of the data container, see the documentation of <a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a>. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l05608">5608</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a40adf1a6ba93051c415a65298b49aa6e" name="a40adf1a6ba93051c415a65298b49aa6e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a40adf1a6ba93051c415a65298b49aa6e">&#9670;&#160;</a></span>fromSortKey()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="class_q_c_p_curve_data.html">QCPCurveData</a> QCPCurveData::fromSortKey </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>sortKey</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Returns a data point with the specified <em>sortKey</em> (assigned to the data point's <em>t</em> member). All other members are set to zero.</p>
<p>For a general explanation of what this method is good for in the context of the data container, see the documentation of <a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a>. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l05609">5609</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a1b78f228e31ca40a1e69add44537918c" name="a1b78f228e31ca40a1e69add44537918c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1b78f228e31ca40a1e69add44537918c">&#9670;&#160;</a></span>sortKeyIsMainKey()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static static bool QCPCurveData::sortKeyIsMainKey </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Since the member <em>key</em> is the data point key coordinate and the member <em>t</em> is the data ordering parameter, this method returns false.</p>
<p>For a general explanation of what this method is good for in the context of the data container, see the documentation of <a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a>. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l05610">5610</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="ac805ffc8b4207652efb9fcc6a2cdd3e8" name="ac805ffc8b4207652efb9fcc6a2cdd3e8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac805ffc8b4207652efb9fcc6a2cdd3e8">&#9670;&#160;</a></span>mainKey()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double QCPCurveData::mainKey </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Returns the <em>key</em> member of this data point.</p>
<p>For a general explanation of what this method is good for in the context of the data container, see the documentation of <a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a>. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l05612">5612</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a39a94131e5f62f16b256bcf8c47a3205" name="a39a94131e5f62f16b256bcf8c47a3205"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a39a94131e5f62f16b256bcf8c47a3205">&#9670;&#160;</a></span>mainValue()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double QCPCurveData::mainValue </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Returns the <em>value</em> member of this data point.</p>
<p>For a general explanation of what this method is good for in the context of the data container, see the documentation of <a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a>. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l05613">5613</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="acf15deffd18d400651f8384a95dad9f8" name="acf15deffd18d400651f8384a95dad9f8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acf15deffd18d400651f8384a95dad9f8">&#9670;&#160;</a></span>valueRange()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_q_c_p_range.html">QCPRange</a> QCPCurveData::valueRange </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Returns a <a class="el" href="class_q_c_p_range.html" title="Represents the range an axis is encompassing.">QCPRange</a> with both lower and upper boundary set to <em>value</em> of this data point.</p>
<p>For a general explanation of what this method is good for in the context of the data container, see the documentation of <a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a>. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l05615">5615</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Dokumentacja atrybutów składowych</h2>
<a id="aecc395525be28e9178a088793beb3ff3" name="aecc395525be28e9178a088793beb3ff3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aecc395525be28e9178a088793beb3ff3">&#9670;&#160;</a></span>t</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double QCPCurveData::t</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l05617">5617</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a8a4ec5f2b9a396149fd842e309701bd4" name="a8a4ec5f2b9a396149fd842e309701bd4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8a4ec5f2b9a396149fd842e309701bd4">&#9670;&#160;</a></span>key</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double QCPCurveData::key</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l05617">5617</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a72b39b8e1dbf7b45382ebd48419b6828" name="a72b39b8e1dbf7b45382ebd48419b6828"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a72b39b8e1dbf7b45382ebd48419b6828">&#9670;&#160;</a></span>value</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double QCPCurveData::value</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l05617">5617</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<hr/>Dokumentacja dla tej klasy została wygenerowana z plików:<ul>
<li><a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a></li>
<li><a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_q_c_p_curve_data.html">QCPCurveData</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
